import { Point } from '../rga/Point';
import { CursorAnchor } from '../slice/constants';
import { PersistedSlice } from '../slice/PersistedSlice';
export declare class Cursor<T = string> extends PersistedSlice<T> {
    get anchorSide(): CursorAnchor;
    set anchorSide(value: CursorAnchor);
    anchor(): Point<T>;
    focus(): Point<T>;
    set(start: Point<T>, end?: Point<T>, anchorSide?: CursorAnchor): void;
    /**
     * Move one of the edges of the cursor to a new point.
     *
     * @param point Point to set the edge to.
     * @param endpoint 0 for "focus", 1 for "anchor."
     */
    setEndpoint(point: Point<T>, endpoint?: 0 | 1): void;
    move(move: number): void;
    toStringName(): string;
}
