import { OverlayPoint } from './OverlayPoint';
import type { SliceType } from '../slice/types';
import type { Anchor } from '../rga/constants';
import type { AbstractRga } from '../../../json-crdt/nodes/rga';
import type { ITimestampStruct } from '../../../json-crdt-patch/clock';
import type { MarkerSlice } from '../slice/MarkerSlice';
export declare class MarkerOverlayPoint extends OverlayPoint {
    protected readonly rga: AbstractRga<string>;
    readonly marker: MarkerSlice;
    /**
     * Hash value of the preceding text contents, up until the next marker.
     */
    textHash: number;
    constructor(rga: AbstractRga<string>, id: ITimestampStruct, anchor: Anchor, marker: MarkerSlice);
    /**
     * @todo Rename or access it directly.
     * @deprecated
     */
    markerHash(): number;
    type(): SliceType;
    data(): unknown;
    toStringName(tab: string, lite?: boolean): string;
    toString(tab?: string, lite?: boolean): string;
}
